Bug 140800 - rpm error after up2date kill process
Summary: rpm error after up2date kill process
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-25 00:07 UTC by Oscar Green
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 22:47:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oscar Green 2004-11-25 00:07:25 UTC
Description of problem:
during a run of up2date the system killed the run. Trying to rerun 
program it segment faulted. The traceback showed that it was in the 
database or in the rpm. Trying to query the rpm database it segment 
fault. Tried the rpm database repair if you do rpm -qa it will 
segment fault. If trying to rebuilddb the 4th step is 
create:cdb:mpool and the proccesss segment faults.

Version-Release number of selected component (if applicable):


How reproducible:
rpm -qa
rpm -vv --rebuilddb

Steps to Reproduce:
1.
2.
3.
  
Actual results:
segmentation fault (core dump)

Expected results:


Additional info:

Comment 1 Jeff Johnson 2004-11-25 14:38:40 UTC
What does
    cd /var/lib/rpm
    rm __db*
    /usr/lib/rpm/rpmdb_verify Packages
say?

If errors, the fix will be to do
    cd /var/lib/rpm
    mv Packages Packages-ORIG
    /usr/lib/rpm/rpmdb_dump Packages-ORIG | \
      /usr/lib/rpm/rpmdb_load Packages
    rpm --rebuilddb -vv



Comment 2 Oscar Green 2004-11-29 21:01:37 UTC
Have tried both and getting segment fault. 
rpmdb_verify Packages bad command.
db_verify Packages segment faults.
am going to reinstall OS.

Comment 3 Jeff Johnson 2004-11-29 22:47:04 UTC
if everything is segfaulting, reinstall is perhaps wise.

Reopen if yo have reproducer for definit problem.


Note You need to log in before you can comment on or make changes to this bug.